Subject: [Spasm] New Version Notification for draft-housley-rfc5280-i18n-update-02.txt

From: Russ Housley <[email-masked]>
Date: Thu, 4 May 2017 10:16:24 -0400

Sean Turner spotted an error, so I fixed it.  Thanks, Sean.

Review from others is welcome.

Russ

> From: [email-masked]
> Subject: New Version Notification for draft-housley-rfc5280-i18n-update-02.txt
> Date: May 4, 2017 at 10:15:00 AM EDT
> To: "Russ Housley" <[email-masked]>
> 
> 
> A new version of I-D, draft-housley-rfc5280-i18n-update-02.txt
> has been successfully submitted by Russ Housley and posted to the
> IETF repository.
> 
> Name:		draft-housley-rfc5280-i18n-update
> Revision:	02
> Title:		Internationalization Updates to RFC 5280
> Document date:	2017-05-04
> Group:		Individual Submission
> Pages:		8
> URL:            https://www.ietf.org/internet-drafts/draft-housley-rfc5280-i18n-update-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-housley-rfc5280-i18n-update/
> Htmlized:       https://tools.ietf.org/html/draft-housley-rfc5280-i18n-update-02
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-housley-rfc5280-i18n-update-02
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-housley-rfc5280-i18n-update-02
> 
> Abstract:
>   These updates to RFC 5280 provide clarity on the handling of
>   Internationalized Domain Names (IDNs) and Internationalized Email
>   Addresses in X.509 Certificates.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Russ Housley <[email-masked]>
Date: Thu, 4 May 2017 10:48:30 -0400

The current approach in draft-ietf-lamps-eai-addresses depends on one of the updates, and the other updates are supportive.

Is the working group willing to adopt this document?  If so, our AD will make any consensus calls related to it to avoid any conflict between author and WG Chair roles.

Russ

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 4 May 2017 14:54:04 +0000

> Is the working group willing to adopt this document?  If so, our AD will make
> any consensus calls related to it to avoid any conflict between author and WG
> Chair roles.

+1 for adoption

---

From: Wei Chuang <[email-masked]>
Date: Thu, 4 May 2017 08:39:44 -0700

+1 also for adoption.

On Thu, May 4, 2017 at 7:54 AM, Salz, Rich <[email-masked]> wrote:

> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm
>

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 4 May 2017 17:52:10 +0100

> Is the working group willing to adopt this document?  If so, our AD will make any consensus calls related to it to avoid any conflict between author and WG Chair roles.
+1 for adoption.

A couple of nits on this version:

1.  Introduction

    An IDN in Unicode (native character) form contains at least one
    U-label [RFC5890].  With one exception, IDNs are carried in
    certificates in ACE-encoded form.  That is, all U-labels within an
    IDN are converted to A-labels.  Conversion of an U-label to an
    A-label is described in [RFC5981].

I don't think the reference is correct. I think you meant RFC5891.

7.5.1.  Local-part Contains Only ASCII Characters

    Where the host-part contains an IDN, conforming implementations MUST
    MUST convert all U-labels to A-labels.

Nit: MUST used twice

---

From: Russ Housley <[email-masked]>
Date: Thu, 4 May 2017 13:03:21 -0400

> On May 4, 2017, at 12:52 PM, Alexey Melnikov <[email-masked]> wrote:
> 

Good catch.  Yes, I transposed the digits.

>   MUST convert all U-labels to A-labels.

Fixed in my working copy.

Russ

---

From: Russ Housley <[email-masked]>
Date: Tue, 9 May 2017 17:02:24 -0400

I have heard several people speak for adopting this document.  I have not heard anyone speak against adopting it.  I will post draft-ietf-lamps-rfc5280-i18n-update-00.

Russ

> On May 4, 2017, at 10:48 AM, Russ Housley <[email-masked]> wrote:
>